#!/bin/bash

username="username"
password="password"
url="server"
pidfile="/tmp/openconnect-pid"

case "$1" in
start)
    echo "$password" | openconnect -b --pid-file=$pidfile --no-cert-check --user=$username $url
    ;;
stop)
    cat $pidfile | xargs kill -2
    ;;
*)
    echo "$0 <start|stop>"
    exit 1
esac
